<?php
/**
 * Renders file input row for admin settings.
 */

defined( 'ABSPATH' ) || exit;

/**
 * Field key.
 *
 * @var string $field_key
 */

/**
 * Field data.
 *
 * @var array $data
 */

/**
 * Field data value.
 *
 * @var mixed $value
 */

?>
<tr valign="top">
	<th scope="row" class="titledesc">
		<label for="<?php echo esc_attr( $field_key ); ?>">
			<?php
			echo wp_kses_post( $data['title'] );
			echo $this->get_tooltip_html( $data ); // @phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped
			?>
		</label>
	</th>
	<td class="forminp">
		<fieldset>
			<legend class="screen-reader-text"><span><?php echo wp_kses_post( $data['title'] ); ?></span>
			</legend>
			<input class="input-file <?php echo esc_attr( $data['class'] ); ?>"
					type="<?php echo esc_attr( $data['type'] ); ?>"
					name="<?php echo esc_attr( $field_key ); ?>" id="<?php echo esc_attr( $field_key ); ?>"
					style="<?php echo esc_attr( $data['css'] ); ?>"
					value="<?php echo esc_attr( $value ); ?>" <?php disabled( $data['disabled'] ); ?> <?php echo $this->get_custom_attribute_html( $data ); // @phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?> />
			<?php echo $this->get_description_html( $data ); // @phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
		</fieldset>
	</td>
</tr>
